mod assembler;
mod parser;

mod error;

pub use error::*;

fn main() {
    let code = "(+ 1 (+ 5 5))".to_string();

    let parsed = dbg!(parser::Parser::parse(code).unwrap());
    let assembled = assembler::Assembler::assemble(parsed).unwrap();

    for byte in assembled {
        print!("{byte:#X}, ");
    }

    println!("");
}
